summaryrefslogtreecommitdiffstats
path: root/games/jg-gambatte
diff options
context:
space:
mode:
Diffstat (limited to 'games/jg-gambatte')
-rw-r--r--games/jg-gambatte/README10
-rw-r--r--games/jg-gambatte/jg-gambatte.SlackBuild84
-rw-r--r--games/jg-gambatte/jg-gambatte.info10
-rw-r--r--games/jg-gambatte/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/games/jg-gambatte/README b/games/jg-gambatte/README
new file mode 100644
index 0000000000..82be031382
--- /dev/null
+++ b/games/jg-gambatte/README
@@ -0,0 +1,10 @@
+jg-gambatte (Nintendo Game Boy emulation core for Jolly Good Emulation)
+
+Gambatte JG is an emulator for the Nintendo Game Boy/Game Boy
+Color. This is a fork of the final public revision of Gambatte.
+
+Filenames supported: .gb .gbc
+To run files with other extensions: jollygood -c gambatte <filename>
+
+By default, no controls are mapped. The first time you run a game,
+press Shift-1 to configure the first controller.
diff --git a/games/jg-gambatte/jg-gambatte.SlackBuild b/games/jg-gambatte/jg-gambatte.SlackBuild
new file mode 100644
index 0000000000..7e37ece6dd
--- /dev/null
+++ b/games/jg-gambatte/jg-gambatte.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/bash
+
+# Slackware build script for jollycv
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=jg-gambatte
+SRCNAM=gambatte
+VERSION=${VERSION:-0.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+LIBDIR=/usr/lib$LIBDIRSUFFIX
+PKGLIB=$PKG/$LIBDIR
+DOCDIR=/usr/doc/$PRGNAM-$VERSION
+PKGDOC=$PKG/$DOCDIR
+
+# If we wanted to use the system soxr, get rid of USE_VENDORED_SOXR=1
+# and add soxr to REQUIRES. Don't see any advantage in doing so.
+
+make install-strip \
+ USE_VENDORED_SOXR=1 \
+ CFLAGS="$SLKCFLAGS" \
+ DESTDIR=$PKG \
+ PREFIX=/usr \
+ DATAROOTDIR=/usr/share \
+ DOCDIR=$DOCDIR \
+ LIBDIR=$LIBDIR
+
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/jg-gambatte/jg-gambatte.info b/games/jg-gambatte/jg-gambatte.info
new file mode 100644
index 0000000000..1b006a9723
--- /dev/null
+++ b/games/jg-gambatte/jg-gambatte.info
@@ -0,0 +1,10 @@
+PRGNAM="jg-gambatte"
+VERSION="0.5.1"
+HOMEPAGE="https://jgemu.gitlab.io/"
+DOWNLOAD="https://gitlab.com/jgemu/gambatte/-/archive/0.5.1/gambatte-0.5.1.tar.gz"
+MD5SUM="a5ee79623f6e57c6de439b9bf6430998"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jollygood"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/games/jg-gambatte/slack-desc b/games/jg-gambatte/slack-desc
new file mode 100644
index 0000000000..226104d167
--- /dev/null
+++ b/games/jg-gambatte/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jg-gambatte: jg-gambatte (Nintendo GameBoy emulation core for Jolly Good Emulation)
+jg-gambatte:
+jg-gambatte: Gambatte JG is an emulator for the Nintendo Game Boy/Game Boy
+jg-gambatte: Color. This is a fork of the final public revision of Gambatte.
+jg-gambatte:
+jg-gambatte:
+jg-gambatte:
+jg-gambatte:
+jg-gambatte:
+jg-gambatte:
+jg-gambatte: